package nfa035.tp2;

import static org.junit.Assert.*;

import org.junit.Test;

public class Exo2MaximumTest {

	
	@Test(expected=IllegalArgumentException.class)
	public void testVide() {
		double r= Exo2Maximum.maximum(new double[0]);
	}
	
	@Test
	public void testTaille1() {
		double [] t= {2};
		double r= Exo2Maximum.maximum(t);
		assertEquals(2, r,0.0001);
	}

	@Test
	public void testTaille1Negatif() {
		double [] t= {-5};
		double r= Exo2Maximum.maximum(t);
		assertEquals(-5, r,0.0001);
	}
	
	@Test
	public void testStandard() {
		double [] t= {6,-9,10,3,2};
		double r= Exo2Maximum.maximum(t);
		assertEquals(10, r,0.0001);
	}

	@Test
	public void testDoublons() {
		double [] t= {2,3,3,3,3};
		double r= Exo2Maximum.maximum(t);
		assertEquals(3, r,0.0001);
	}

	@Test
	public void testNegatifs() {
		double [] t= {-10,-2,-15,-3};
		double r= Exo2Maximum.maximum(t);
		assertEquals(-2, r,0.0001);
	}

	@Test
	public void testPremier() {
		double [] t= {10,4,6,2,8};
		double r= Exo2Maximum.maximum(t);
		assertEquals(10, r,0.0001);
	}
	
	@Test
	public void testDernier() {
		double [] t= {4,6,2,8,10};
		double r= Exo2Maximum.maximum(t);
		assertEquals(10, r,0.0001);
	}
	
	@Test
	public void testMinEstMax() {
		double [] t= {Double.MIN_VALUE, Double.MIN_VALUE};
		double r= Exo2Maximum.maximum(t);
		assertEquals(Double.MIN_VALUE, r,0.0001);
	}
	
}
