package nfa035.tp2;

import static org.junit.Assert.*;

import org.junit.Test;

public class TriBuggeTest {


	@Test
	public void testEchanger() {
		int []t= {7,2,1,3,7,9,10};
		int []attendu= {7,2,7,3,1,9,10};
		TriBugge.echanger(t, 2, 4);
		assertArrayEquals(attendu, t);
	}
	
	@Test
	public void testMinStandard() {
		int t[]= {0,2,3,4,1,10};
		assertEquals(4, TriBugge.posPlusPetit(t, 1));
	}
	
	@Test
	public void testMinPremier() {
		int t[]= {0,2,3,4,1,10};
		assertEquals(0, TriBugge.posPlusPetit(t, 0));
	}

	@Test
	public void testMinNegatif() {
		int t[]= {0,2,3,-4,1,10};
		assertEquals(3, TriBugge.posPlusPetit(t, 0));
	}

	@Test
	public void testTri() {
		int t[]= {8,2,3,10,4,5,3};
		int trie[]= {2,3,3,4,5,8,10};
		TriBugge.trier(t);
		assertArrayEquals(trie, t);	
	}
	
	@Test
	public void testTriVide() {
		int t[]= {};
		int trie[]= {};
		TriBugge.trier(t);
		assertArrayEquals(trie, t);	
	}

	@Test
	public void testTriUn() {
		int t[]= {10};
		int trie[]= {10};
		TriBugge.trier(t);
		assertArrayEquals(trie, t);	
	}

	@Test
	public void testTriConstant() {
		int t[]= {-2,-2,-2};
		int trie[]= {-2,-2,-2};
		TriBugge.trier(t);
		assertArrayEquals(trie, t);	
	}
	
	@Test
	public void testTriAvecNegatif() {
		int t[]= {2,6,-1,-2};
		int trie[]= {-2,-1,2,6};
		TriBugge.trier(t);
		assertArrayEquals(trie, t);	
	}

}
